import PropTypes from 'prop-types';
import Multipicker from '../../../Multicheckbox';
import MultiButton from '../../../MultiButton';
import Select from '../../../Select/Default';
import { FIELDS, DISPLAYS } from '../../index';
import { jsx as _jsx } from "react/jsx-runtime";
export default function MultipickerField(_ref) {
  var alerts = _ref.alerts,
      errors = _ref.errors,
      field = _ref.field,
      onBlur = _ref.onBlur,
      onChange = _ref.onChange,
      onFocus = _ref.onFocus,
      renderer = _ref.renderer,
      tabIndex = _ref.tabIndex;

  switch (field.display) {
    case DISPLAYS[FIELDS.MULTIPICKER].BUTTON:
      return /*#__PURE__*/_jsx(MultiButton, {
        alerts: alerts,
        errors: errors,
        multiButton: field,
        onBlur: onBlur,
        onChange: onChange,
        onFocus: onFocus,
        renderer: renderer,
        tabIndex: tabIndex
      });

    case DISPLAYS[FIELDS.MULTIPICKER].DROPDOWN:
      return /*#__PURE__*/_jsx(Select, {
        alerts: alerts,
        errors: errors,
        multiselection: true,
        onBlur: onBlur,
        onChange: onChange,
        onFocus: onFocus,
        renderer: renderer,
        select: field,
        tabIndex: tabIndex
      });

    default:
      return /*#__PURE__*/_jsx(Multipicker, {
        alerts: alerts,
        errors: errors,
        multipicker: field,
        onBlur: onBlur,
        onChange: onChange,
        onFocus: onFocus,
        renderer: renderer,
        tabIndex: tabIndex
      });
  }
}