import PropTypes from 'prop-types';
import Input from '../../../Input';
import TextArea from '../../../TextArea';
import { FIELDS, DISPLAYS } from '../../index';
import { jsx as _jsx } from "react/jsx-runtime";

var TextField = function TextField(_ref) {
  var field = _ref.field,
      tabIndex = _ref.tabIndex,
      onChange = _ref.onChange,
      onFocus = _ref.onFocus,
      onBlur = _ref.onBlur,
      errors = _ref.errors,
      alerts = _ref.alerts,
      renderer = _ref.renderer;
  if (field.display === DISPLAYS[FIELDS.TEXT].MULTILINE) return /*#__PURE__*/_jsx(TextArea, {
    textArea: field,
    onChange: onChange,
    onFocus: onFocus,
    onBlur: onBlur,
    tabIndex: tabIndex,
    errors: errors,
    alerts: alerts,
    renderer: renderer
  });
  return /*#__PURE__*/_jsx(Input, {
    input: field,
    onChange: onChange,
    onFocus: onFocus,
    onBlur: onBlur,
    tabIndex: tabIndex,
    errors: errors,
    alerts: alerts,
    renderer: renderer
  });
};

export default TextField;